Loading...
Searching...
No Matches
Ogre::Technique::GPUDeviceNameRule Struct Reference

Rule controlling whether technique is deemed supported based on GPU device name. More...

`#include <OgreTechnique.h>`

## Public Member Functions

| GPUDeviceNameRule ()
| GPUDeviceNameRule (const String &pattern, IncludeOrExclude ie, bool caseSen)

## Public Attributes

bool | caseSensitive
String | devicePattern
IncludeOrExclude | includeOrExclude

## Detailed Description

Rule controlling whether technique is deemed supported based on GPU device name.

## Constructor & Destructor Documentation

## GPUDeviceNameRule() [1/2]

Ogre::Technique::GPUDeviceNameRule::GPUDeviceNameRule | ( |  | ) |

inline

References caseSensitive, Ogre::Technique::EXCLUDE, and includeOrExclude.

## GPUDeviceNameRule() [2/2]

Ogre::Technique::GPUDeviceNameRule::GPUDeviceNameRule | ( | const String & | pattern,
|  | IncludeOrExclude | ie,
|  | bool | caseSen )

inline

References caseSensitive, devicePattern, and includeOrExclude.

## Member Data Documentation

## devicePattern

String Ogre::Technique::GPUDeviceNameRule::devicePattern

Referenced by GPUDeviceNameRule().

## includeOrExclude

IncludeOrExclude Ogre::Technique::GPUDeviceNameRule::includeOrExclude

Referenced by GPUDeviceNameRule(), and GPUDeviceNameRule().

## caseSensitive

bool Ogre::Technique::GPUDeviceNameRule::caseSensitive

Referenced by GPUDeviceNameRule(), and GPUDeviceNameRule().

The documentation for this struct was generated from the following file:

- OgreTechnique.h